$schema: "http://json-schema.org/draft-06/schema#"

title: compute beta Duration export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  nanos:
    description: |-
      Span of time that's a fraction of a second at nanosecond resolution.
      Durations less than one second are represented with a 0 `seconds` field
      and a positive `nanos` field. Must be from 0 to 999,999,999 inclusive.
    type: integer
  seconds:
    description: |-
      Span of time at a resolution of a second. Must be from 0 to
      315,576,000,000 inclusive. Note: these bounds are computed from: 60
      sec/min * 60 min/hr * 24 hr/day * 365.25 days/year * 10000 years
    type: integer
